--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local grainwasteHudFile = "fruitHuds/hud_fill_grainwaste_sml.dds"
	    local grainwasteHudFileSmall = "fruitHuds/hud_fill_grainwaste_sml.dds"
	    local grainsrefinedHudFile = "fruitHuds/hud_fill_grainsrefined_sml.dds"
	    local grainsrefinedHudFileSmall = "fruitHuds/hud_fill_grainsrefined_sml.dds"      		
		
		print();
        local grainwasteFilType = g_fillTypeManager:addFillType("GRAINWASTE", g_i18n:getText("grainwaste"), true, priceMaize * 1.1, 0.00045, math.rad(40), grainwasteHudFile, grainwasteHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local grainsrefinedFilType = g_fillTypeManager:addFillType("GRAINSREFINED", g_i18n:getText("grainsrefined"), true, priceMaize * 1.1, 0.00045, math.rad(40), grainsrefinedHudFile, grainsrefinedHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local grainwasteCategory = {"BULK"}
		local grainsrefinedCategory = {"BULK"}
	    for _,k in pairs(grainwasteCategory) do
			g_fillTypeManager:addFillTypeToCategory(grainwasteFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		for _,k in pairs(grainsrefinedCategory) do
			g_fillTypeManager:addFillTypeToCategory(grainsrefinedFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hassand=false	
		local hasgravel=false
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hassand=false
		hasgravel=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "GRAINWASTE" then
					hassand=true								
				end;
				if fillname == "GRAINSREFINED" then
					hasgravel=true								
				end;
			end;
				
				if hasmaize and not hassand then
					--add GRAINWASTE zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("GRAINWASTE")
					local price = g_fillTypeManager:getFillTypeByName("GRAINWASTE").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("GRAINWASTE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not hasgravel then
					--add GRAINSREFINED zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("GRAINSREFINED")
					local price = g_fillTypeManager:getFillTypeByName("GRAINSREFINED").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("GRAINSREFINED")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
		end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

